Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.PenStyle

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.PenStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.PenStyle

extends java.lang.Enum
implements QtEnumerator

This enum type defines the pen styles that can be drawn using `QPainter`. The styles are:

`Qt::SolidLine` | `Qt::DashLine` | `Qt::DotLine`
`Qt::DashDotLine` | `Qt::DashDotDotLine` | `Qt::CustomDashLine`

See also:
  `QPen`.

See Also:
  Serialized Form

Field Summary
`static Qt.PenStyle` | `CustomDashLine` A custom pattern defined using `QPainterPathStroker::setDashPattern()`.
`static Qt.PenStyle` | `DashDotDotLine` One dash, two dots, one dash, two dots.
`static Qt.PenStyle` | `DashDotLine` Alternate dots and dashes.
`static Qt.PenStyle` | `DashLine` Dashes separated by a few pixels.
`static Qt.PenStyle` | `DotLine` Dots separated by a few pixels.
`static Qt.PenStyle` | `MPenStyle`
`static Qt.PenStyle` | `NoPen` no line at all.
`static Qt.PenStyle` | `SolidLine` A plain line.

Method Summary
`static Qt.PenStyle` | `resolve(int value)` Returns the PenStyle constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.PenStyle` | `valueOf(java.lang.String name)`
`static Qt.PenStyle[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoPen

    public static final Qt.PenStyle NoPen

  no line at all. For example, `QPainter::drawRect()` fills but does not draw any boundary line.

### SolidLine

    public static final Qt.PenStyle SolidLine

  A plain line.

### DashLine

    public static final Qt.PenStyle DashLine

  Dashes separated by a few pixels.

### DotLine

    public static final Qt.PenStyle DotLine

  Dots separated by a few pixels.

### DashDotLine

    public static final Qt.PenStyle DashDotLine

  Alternate dots and dashes.

### DashDotDotLine

    public static final Qt.PenStyle DashDotDotLine

  One dash, two dots, one dash, two dots.

### CustomDashLine

    public static final Qt.PenStyle CustomDashLine

  A custom pattern defined using `QPainterPathStroker::setDashPattern()`.

### MPenStyle

    public static final Qt.PenStyle MPenStyle

Method Detail

### values

    public static Qt.PenStyle[] values()

### valueOf

    public static Qt.PenStyle valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.PenStyle resolve(int value)

  Returns the PenStyle constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD